Subject: [PATCH] drivers/cpufreq: include <module.h> for modular exynos-cpufreq.c code

From: [email-masked] (Paul Gortmaker)
Date: Tue, 16 Jun 2015 11:29:45 -0400

On 15-06-15 07:53 PM, Krzysztof Kozlowski wrote:
> On 16.06.2015 08:47, Rafael J. Wysocki wrote:
>> On Wednesday, June 03, 2015 05:18:18 PM Paul Gortmaker wrote:
>>> This file is built off of a tristate Kconfig option ("ARM_EXYNOS_CPUFREQ")
>>> and also contains modular function calls so it should explicitly include
>>> module.h to avoid compile breakage during pending header shuffles.
>>>
>>> Cc: "Rafael J. Wysocki" <[email-masked]>
>>> Cc: Viresh Kumar <[email-masked]>
>>> Cc: Kukjin Kim <[email-masked]>
>>> Cc: Krzysztof Kozlowski <[email-masked]>
>>> Cc: linux-pm at vger.kernel.org
>>> Cc: linux-arm-kernel at lists.infradead.org
>>> Cc: linux-samsung-soc at vger.kernel.org
>>> Signed-off-by: Paul Gortmaker <[email-masked]>
>>
>> I'm assuming that this will go in via the Samsung tree.
>>
>>
>>> ---
>>>
>>> [ patch will be appended to the implicit include fixup series, see:
>>>   https://lkml.kernel.org/r/1430444867-22342-1-git-send-email-paul.gortmaker at windriver.com
>>>   for the original series posting.]
> 
> Paul, will you handle the patch or should it go through Samsung tree?

I have to keep a copy of the patch in the above series, since if
I don't then we'll introduce build failures into the bisection
history, so yes I'll handle it.

Thanks,
Paul.
--

> Best regards,
> Krzysztof